<?php

use Mbl\MblUsersExport\FilterMembers;

function add_cors_http_header()
{
    header("Access-Control-Allow-Origin: *");
}

//add_action('init', 'add_cors_http_header');

add_action('wp_ajax_mblue_get_wpm_levels', 'mblue_get_wpm_levels');
add_action('wp_ajax_mblue_get_filtered_users', 'mblue_get_filtered_users');
add_action('wp_ajax_mblue_get_file', 'mblue_get_file');

add_action('wp_ajax_nopriv_mblue_get_wpm_levels', 'mblue_get_wpm_levels');
add_action('wp_ajax_nopriv_mblue_get_filtered_users', 'mblue_get_filtered_users');
add_action('wp_ajax_nopriv_mblue_get_file', 'mblue_get_file');

function mblue_get_wpm_levels()
{
    $args = [
        'taxonomy' => 'wpm-levels',
        'hide_empty' => false,
    ];
    echo json_encode(
        array_map(
            fn($term) => ['id' => $term->term_id, 'name' => $term->name], get_terms($args)
        )
    );
    die();
}

function mblue_get_filtered_users()
{
    $active = (bool)absint($_POST['active']);
    $yes = array_map('absint', json_decode(stripslashes($_POST['yes']), true));
    $no = array_map('absint', json_decode(stripslashes($_POST['no']), true));

    $date = '';
    $datePeriod = '';
    $wpmLevel = '';
    if (isset($_POST['date'])) {
        $date = $_POST['date'];
        $datePeriod = $_POST['datePeriod'];
        $wpmLevel = $_POST['wpmLevel'];
    }
    $filter = new FilterMembers($yes, $no, $date, $datePeriod, $wpmLevel, $active);
    echo json_encode(['users' => $filter->getMembers(), 'log' => $active]);
    die();
}

function mblue_get_file()
{
    echo FilterMembers::saveUserIds($_POST['userIds']);
    die();
}
