<?php
/*

Plugin Name: MEMBERLUX USERS EXPORT
Plugin URI: https://memberlux.ru
Description: МОДУЛЬ ЭКСПОРТА ПОЛЬЗОВАТЕЛЕЙ
Version: 2.7
Author: Виктор Левчук
Author URI: https://t.me/leviktor

 */

use Mbl\MblUsersExport\MBLUECore;

if (!defined('ABSPATH')) {
    exit;
}
require_once "vendor/autoload.php";
spl_autoload_register(function ($class_name) {
    $file_name = __DIR__ . "/inc/{$class_name}.php";
    if (file_exists($file_name)) require_once $file_name;
});
$MblUserExport = new Mbl\MblUsersExport\MblUserExport(__DIR__, '2.7');
add_action('init', 'mbl_user_export_init', 1);
function mbl_user_export_init()
{
    new MBLUECore();
}
function render_mbl_users_export()
{
    include 'templates/graduates.php';
}
function mbl_user_export_activate()
{
    MBLUECore::install();
    $role_administrator = get_role('administrator');
    $role_administrator->add_cap('graduates-view');
}
function mbl_user_export_deactivate()
{
    MBLUECore::uninstall();
}
register_activation_hook(__FILE__, 'mbl_user_export_activate');
register_deactivation_hook(__FILE__, 'mbl_user_export_deactivate');
if (wp_doing_ajax()) {
    require_once __DIR__ . '/ajax.php';
}
add_filter('script_loader_tag', 'add_type_attribute', 10, 3);
function add_type_attribute($tag, $handle, $src)
{
    if ('index.cc9b7047' !== $handle) {
        return $tag;
    }
    $tag = '<script type="module" src="' . esc_url($src) . '"></script>';
    return $tag;
}

//Updater
require 'plugin-update-checker/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(
    'https://github.com/MEMBERLUX/mbl-users-export/',
    __FILE__,
    'mbl-users-export'
);
$myUpdateChecker->setAuthentication('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');
